create or replace package ploffx_document
authid current_user is
--v5.9
--
function parse(
    p_file clob,
    p_docx in out ploffx_docx_type.t_docx
    ) return ploffx_document_type.CT_Document;
--
function getTbl(
  p_Tbl dbms_xmldom.DOMNode,
  p_docx in out ploffx_docx_type.t_docx
  ) return pls_integer;
--
function getSDT(
  p_sdt dbms_xmldom.DOMNode,
  p_docx in out ploffx_docx_type.t_docx
  ) return ploffx_document_type.CT_Sdt;
--
function getPPr(
  p_ppr dbms_xmldom.DOMNode
  ) return ploffx_document_type.CT_PPr;
--
function getrPr(
  p_rpr dbms_xmldom.DOMNode
  ) return ploffx_document_type.CT_RPr;
--
procedure parseHeaderFooter(
  p_file clob,
  p_filename varchar2,
  p_docx in out ploffx_docx_type.t_docx
  );
--
function getP(
  p_p dbms_xmldom.DOMNode,
  p_docx in out ploffx_docx_type.t_docx
  ) return pls_integer;
--
end ploffx_document;
/

